import { SharedBuffers, SharedSoftBodyBuffers, SoftBodyConfig, UUID, WorldConfig } from "./types";
export declare function createAmmoWorker(): Worker;
export declare function WorkerHelpers(ammoWorker: Worker): {
    initWorld(worldConfig: WorldConfig, sharedBuffers: SharedBuffers): void;
    makeAsyncRequest<T = any>(data: any): Promise<T>;
    resolveAsyncRequest(data: any): void;
    transferSharedBuffers(sharedBuffers: SharedBuffers): void;
    addRigidBody(uuid: any, mesh: any, options?: {}): void;
    updateRigidBody(uuid: any, options: any): void;
    removeRigidBody(uuid: any): void;
    addSoftBody(uuid: UUID, sharedSoftBodyBuffers: SharedSoftBodyBuffers, softBodyConfig: SoftBodyConfig): void;
    removeSoftBody(uuid: UUID): void;
    addShapes(bodyUuid: any, shapesUuid: any, mesh: any, options?: {}): void;
    bodySetShapesOffset(bodyUuid: any, offset: any): void;
    removeShapes(bodyUuid: any, shapesUuid: any): void;
    addConstraint(constraintId: any, bodyAUuid: any, bodyBUuid: any, options: any): void;
    updateConstraint(constraintId: any, options: any): void;
    removeConstraint(constraintId: any): void;
    enableDebug(enable: any, debugSharedArrayBuffer: any): void;
    resetDynamicBody(uuid: any): void;
    activateBody(uuid: any): void;
    bodySetMotionState(uuid: any, position: any, rotation: any): void;
    bodySetLinearVelocity(uuid: any, velocity: any): void;
    bodyApplyImpulse(uuid: any, impulse: any, relativeOffset: any): void;
    bodyApplyForce(uuid: any, force: any, relativeOffset: any): void;
    setSimulationSpeed(simulationSpeed: number): void;
};
